SpyBara
Go Premium

resources/videos/methods/edit/index.md 2026-07-25 05:59 UTC to 2026-07-29 15:02 UTC

1 added, 1 removed.

2026
Wed 29 15:02 Sat 25 05:59 Thu 23 18:00 Wed 22 20:02 Mon 20 20:00 Fri 17 17:00 Thu 16 20:57 Wed 15 02:58 Tue 14 06:58 Mon 13 15:59 Sun 12 06:58 Fri 10 23:02 Thu 9 20:58 Tue 7 08:02

Create a new video generation job by editing a source video or existing generated video.

post /videos/edits

Create a new video generation job by editing a source video or existing generated video.

Body Parameters

  • prompt: string

    Text prompt that describes how to edit the source video.

  • video: object { id }

    Reference to the completed video to edit.

    • id: string

      The identifier of the completed video.

Returns

  • Video object { id, completed_at, created_at, 10 more }

    Structured information describing a generated video job.

    • id: string

      Unique identifier for the video job.

    • completed_at: number

      Unix timestamp (seconds) for when the job completed, if finished.

    • created_at: number

      Unix timestamp (seconds) for when the job was created.

    • error: VideoCreateError

      Error payload that explains why generation failed, if applicable.

      • code: string

        A machine-readable error code that was returned.

      • message: string

        A human-readable description of the error that was returned.

    • expires_at: number

      Unix timestamp (seconds) for when the downloadable assets expire, if set.

    • model: VideoModel

      The video generation model that produced the job.

      • string

      • "sora-2" or "sora-2-pro" or "sora-2-2025-10-06" or 2 more

        • "sora-2"

        • "sora-2-pro"

        • "sora-2-2025-10-06"

        • "sora-2-pro-2025-10-06"

        • "sora-2-2025-12-08"

    • object: "video"

      The object type, which is always video.

      • "video"
    • progress: number

      Approximate completion percentage for the generation task.

    • prompt: string

      The prompt that was used to generate the video.

    • remixed_from_video_id: string

      Identifier of the source video if this video is a remix.

    • seconds: string

      Duration of the generated clip in seconds. For extensions, this is the stitched total duration.

    • size: VideoSize

      The resolution of the generated video.

      • "720x1280"

      • "1280x720"

      • "1024x1792"

      • "1792x1024"

    • status: "queued" or "in_progress" or "completed" or "failed"

      Current lifecycle status of the video job.

      • "queued"

      • "in_progress"

      • "completed"

      • "failed"

Example

curl https://api.openai.com/v1/videos/edits \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -d '{
          "prompt": "x",
          "video": {
            "id": "video_123"
          }
        }'

Response

{
  "id": "id",
  "completed_at": 0,
  "created_at": 0,
  "error": {
    "code": "code",
    "message": "message"
  },
  "expires_at": 0,
  "model": "sora-2",
  "object": "video",
  "progress": 0,
  "prompt": "prompt",
  "remixed_from_video_id": "remixed_from_video_id",
  "seconds": "string",
  "size": "720x1280",
  "status": "queued"
}